package request


type AlibabaWdkItemMerchantstoreskuUpdateRequest struct {
    /*
        门店ID     */
    StoreId  *string `json:"store_id" required:"true" `
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code" required:"true" `
    /*
        修改参数，是个json字符串     */
    Params  *string `json:"params" required:"true" `
}

func (s *AlibabaWdkItemMerchantstoreskuUpdateRequest) SetStoreId(v string) *AlibabaWdkItemMerchantstoreskuUpdateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuUpdateRequest) SetSkuCode(v string) *AlibabaWdkItemMerchantstoreskuUpdateRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemMerchantstoreskuUpdateRequest) SetParams(v string) *AlibabaWdkItemMerchantstoreskuUpdateRequest {
    s.Params = &v
    return s
}

func (req *AlibabaWdkItemMerchantstoreskuUpdateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.Params != nil) {
        paramMap["params"] = *req.Params
    }
    return paramMap
}

func (req *AlibabaWdkItemMerchantstoreskuUpdateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}